Subject: Re: [PATCH v2] upload-pack: Optionally allow fetching reachable sha1

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 May 2015 13:19:13 -0700

Fredrik Medley <[email-masked]> writes:

> 2015-05-06 0:16 GMT+02:00 Junio C Hamano <[email-masked]>:
>> Fredrik Medley <[email-masked]> writes:
>>>
>>> diff --git a/Documentation/config.txt b/Documentation/config.txt
>>> index 2e5ceaf..76cd713 100644
>>> --- a/Documentation/config.txt
>>> +++ b/Documentation/config.txt
>>> @@ -2538,6 +2538,12 @@ uploadpack.allowtipsha1inwant::
>>>       of a hidden ref (by default, such a request is rejected).
>>>       see also `uploadpack.hideRefs`.
>>>
>>> +uploadpack.allowreachablesha1inwant::
>>
>> I know that the existing allowtipsha1inwant is spelled that way, and
>> it may be better done as a separate clean-up patch (either before or
>> after this step), but the documentation and the first line of the
>> log message would be easier to read with
>>
>>         uploadpack.allowReachableSHA1InWant
>>
>> I'd think.
>>
>
> I would prefer using allowReachableSha1InWant. Please tell
> me if I should use SHA1InWant instead of Sha1InWant.
> (I cannot find anything similar in the repository.)

Keep in mind what was discussed recently:

  http://thread.gmane.org/gmane.comp.version-control.git/265225/focus=265322

I would think SHA1 should be upcased (so should SSL, SMTP, etc.)
even in the existing ones when we do the "clean-up" pass.  Even
though this patch is not about cleaning up existing mess, there
is no point adding more cruft that we need to clean up later ;-)